local utils = require('utils')

-- Clear trailing whitespace
utils.map("n", "<C-w>", "<cmd>let _s=@/<Bar>:%s/\\s\\+$//e<Bar>:let @/=_s<Bar><CR>")

-- Use tab and shift+tab to cycle buffers
utils.map("n", "<tab>", "<cmd>bn<cr>")
utils.map("n", "<S-tab>", "<cmd>bp<cr>")

-- Turn spellchecker on and off
utils.map("n", "<leader>se", "<cmd>setlocal spell spelllang=en_us<cr>")
utils.map("n", "<leader>sq", "<cmd>setlocal nospell<cr>")

utils.map("n", "<F3>", "<cmd>set nonumber!<CR>")
utils.map("n", "<leader>fe", "<cmd>Oil<CR>")
